%define gstreamer_version 1.20

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           snapshot
Version:        45.1
Release:        %mkrel 1
Summary:        Take pictures and videos
Group:          Graphical desktop/GNOME
License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/GNOME/snapshot
Source0:        https://download.gnome.org/sources/snapshot/%{url_ver}/%{name}-%{version}.tar.xz
Source2:        vendor.tar.zst
Source3:        cargo_config

BuildRequires:  appstream-util
BuildRequires:  cargo-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.75
BuildRequires:  pkgconfig(gtk4) >= 4.9.0
BuildRequires:  pkgconfig(libadwaita-1) >= 1.4.alpha
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{gstreamer_version}
## Needed for camerabin
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= %{gstreamer_version}
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= %{gstreamer_version}

%description
Snapshot enables to take pictures and videos.

%prep
%autosetup -p1

%generate_buildrequires
%cargo_generate_buildrequires
cd aperture
%cargo_generate_buildrequires
cd ~-

%build
export RUSTFLAGS="%{build_rustflags}"
%meson
%meson_build

%install
export RUSTFLAGS="%{build_rustflags}"
%meson_install
%find_lang %{name}

%check
export RUSTFLAGS="%{build_rustflags}"
%{cargo_test}
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Snapshot.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Snapshot.metainfo.xml

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Snapshot.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Snapshot.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Snapshot*.svg
%{_metainfodir}/org.gnome.Snapshot.metainfo.xml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources.gresource




%changelog
* Sun Dec 10 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2016694
- new version 45.1

* Wed Oct 25 2023 tv <tv> 45.0-2.mga10
+ Revision: 2001246
- rebuild with generated BRs

* Tue Oct 24 2023 tv <tv> 45.0-1.mga10
+ Revision: 2000694
- imported package snapshot


* Thu Sep 28 2023 Thierry Vignaud <tv@mageia.org> 45.0-1.mga10
- Initial package
